web-dev-qa-db-de.com

jdk 6 auf Berglöwe

Ich habe gerade Mac OSX 10.8 Mountain Lion installiert. Ich versuche, ein JDK Version 6 zu installieren. Es gibt kein Mac-Paket für Version 6 in den Oracle-Downloads: http://www.Oracle.com/technetwork/Java/ javase/downloads/jdk6u37-downloads-1859587.html

Aber es gibt eine für JDK Version 7 http://www.Oracle.com/technetwork/Java/javase/downloads/jdk7u9-downloads-1859576.html

Kann ich irgendwo anders ein Mac-Paket für JDK 6 bekommen?

34
Black

Soweit ich mich erinnere, werden Sie beim ersten Mal, wenn Sie etwas tun, das Java benötigt, gefragt, ob Sie es installieren möchten, und Sie erhalten Version 6. Laut dieser Seite genügt die Eingabe von Java -version Im Terminal, um die Eingabeaufforderung auszulösen.

Für das JDK (und nicht für die Laufzeit) müssen Sie sich bei developer.Apple.com anmelden und nach Java suchen. und laden Sie das Java für OS X 2012-006 Developer Package herunter. Ich habe das gerade auf meinem MacBook gemacht und habe jetzt javac 1.6.0_37.

35
khagler
  • navigieren Sie zu https://developer.Apple.com/downloads/
  • Download Java für OS X 2013-005 Developer Package
  • Doppelklicken Sie auf das resultierende Java_for_os_x_2013005_dp_11m4609.dmg , um es zu öffnen
  • Doppelklicken Sie zum Installieren auf JavaDeveloper.pkg . Gehen Sie mit den Standardeinstellungen/stimmen Sie der Lizenz zu/geben Sie Ihr Passwort ein
  • Rufen Sie das Terminal auf und geben Sie Java -version Ein, um sicherzustellen, dass Sie die richtige Version haben.
  • wenn es sich um die Version falsch handelt (z. B. Java Version "1.7.0_45"), müssen Sie ~/.bash_profile ändern:

    # Java 6 for Android Development
    export Java_HOME="/Library/Java/JavaVirtualMachines/1.6.0_65-b14-462.jdk/Contents/Home/"
    
  • Melden Sie sich ab und wieder an und vergewissern Sie sich, dass Sie die richtige Version verwenden: Java -version. Sollte Java Version "1.6.0_65" sein.

18
Brian Cunnie

Aus irgendeinem bizarren Grund - vor Java7 war es tatsächlich Apple für OSX anstelle von Sun/Oracle geliefert/unterstützt Java). Diese Situation hat sich erst kürzlich mit Java7 geändert. Wenn Sie also eine frühere Version wie Java6 erhalten möchten, gehen Sie zu http://connect.Apple.com - Melden Sie sich mit Ihrer ID Apple) an das jdk für 1.6 ist gelistet und kann auch über https://developer.Apple.com/ gefunden werden - oder wie gesagt, ab 7 direkt über http://www.Oracle.com/technetwork/Java/index.html

3
Mike0000001

Leider habe ich diese Antwort erst gesehen, nachdem ich bereits eine ziemlich wackelige Lösung gefunden hatte ... Ich gehe davon aus, dass das Herunterladen des Java Installer von developer.Apple.com der einfachste Weg ist, um zu installieren Java 6, aber wenn Sie wie ich Java 7 installiert haben und versuchen, ein Downgrade durchzuführen, funktioniert dies nicht (dh wenn Sie den Entwickler installieren) Nach dem Herunterladen haben Sie immer noch Java 7 als Standardversion). Sie können das Java Paket für OS 10.6 herunterladen, es mit Pacifist öffnen und dann die Dateien kopieren (Das Kopieren der Dateien aus dem Paket für 10.7 hat bei mir NICHT funktioniert - anscheinend installiert es Java 7, oder es belässt Java 7 als das Standardversion ohne die Möglichkeit, stattdessen Version 6 zu wählen).

Weitere Informationen hier: https://stackoverflow.com/a/6413600/560114

1
Matt Browne